"use strict";
jQuery(document).ready(
    function() {
        (function($) {
            /*validation for number*/
            $(".asas_row input[type='number']").keydown(
                function(e) {
                    // Allow: backspace, delete, tab, escape, enter and .
                    if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                        // Allow: Ctrl+A, Command+A
                        (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                        // Allow: home, end, left, right, down, up
                        (e.keyCode >= 35 && e.keyCode <= 40)) {
                        // let it happen, don't do anything
                        return;
                    }
                    // Ensure that it is a number and stop the keypress
                    if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                        e.preventDefault();
                    }
                }
            );

            $("div.saspro-dialogbox").dialog({
                autoOpen: false,
                maxWidth: 600,
                maxHeight: 500,
                width: 600,
                height: 500
            });

            esas_custom_share_icon();

            $('.esc_layout_preset_theme input').on(
                'click',
                function() {
                    var value = $(this).val();
                    $('#template_name').val(value);
                    var $icon_text = ['esc_layout_preset_0', 'esc_layout_preset_1', 'esc_layout_preset_2', 'esc_layout_preset_3', 'esc_layout_preset_4', 'esc_layout_preset_9', 'esc_layout_preset_10', 'esc_layout_preset_16'];
                    var $icon_color_white = ['esc_layout_preset_0', 'esc_layout_preset_2', 'esc_layout_preset_4', 'esc_layout_preset_5', 'esc_layout_preset_7', 'esc_layout_preset_9', 'esc_layout_preset_10', 'esc_layout_preset_12', 'esc_layout_preset_16', 'esc_layout_preset_22'];
                    var $icon_bgcolor_white = ['esc_layout_preset_1', 'esc_layout_preset_3', 'esc_layout_preset_6', 'esc_layout_preset_8', 'esc_layout_preset_11', 'esc_layout_preset_13', 'esc_layout_preset_14', 'esc_layout_preset_15'];
                    var $icon_position_left = ['esc_layout_preset_0', 'esc_layout_preset_1', 'esc_layout_preset_2', 'esc_layout_preset_3', 'esc_layout_preset_16'];
                    var $icon_border_radius = ['esc_layout_preset_9', 'esc_layout_preset_10', 'esc_layout_preset_11', 'esc_layout_preset_12', 'esc_layout_preset_13', 'esc_layout_preset_14', 'esc_layout_preset_15'];
                    var $icon_border_width = ['esc_layout_preset_1', 'esc_layout_preset_6', 'esc_layout_preset_8', 'esc_layout_preset_13', 'esc_layout_preset_14', 'esc_layout_preset_15'];
                    var $text_color_white = ['esc_layout_preset_0', 'esc_layout_preset_2', 'esc_layout_preset_4', 'esc_layout_preset_5', 'esc_layout_preset_9', 'esc_layout_preset_22'];
                    var $text_padding = ['esc_layout_preset_0', 'esc_layout_preset_1', 'esc_layout_preset_2', 'esc_layout_preset_3', 'esc_layout_preset_4', 'esc_layout_preset_16'];
                    var $image_layout = ['esc_layout_preset_17', 'esc_layout_preset_18', 'esc_layout_preset_19', 'esc_layout_preset_20', 'esc_layout_preset_21'];

                    if ($.inArray(value, $icon_text) !== -1) {
                        esas_button_type_default_settings('icon');
                    }

                    if ($.inArray(value, $image_layout) !== -1) {
                        esas_button_type_default_settings('img');
                        $('.asas_box_setting').hide();
                    } else {
                        $('.asas_box_setting').show();
                    }

                    if ($.inArray(value, $text_padding) !== -1) {
                        $('input[name="asas_settings[asas_text_padding_top]"]').val('10');
                        $('input[name="asas_settings[asas_text_padding_bottom]"]').val('10');
                        $('input[name="asas_settings[asas_text_padding_left]"]').val('10');
                        $('input[name="asas_settings[asas_text_padding_right]"]').val('10');
                    } else {
                        $('input[name="asas_settings[asas_text_padding_top]"]').val('15');
                        $('input[name="asas_settings[asas_text_padding_bottom]"]').val('15');
                        $('input[name="asas_settings[asas_text_padding_left]"]').val('15');
                        $('input[name="asas_settings[asas_text_padding_right]"]').val('15');
                    }

                    if (value == 'esc_layout_preset_17') {
                        $('input[name="asas_settings[asas_image_layout]"][value="asas_image_layout_1"]').prop("checked", true);
                    } else if (value == 'esc_layout_preset_18') {
                        $('input[name="asas_settings[asas_image_layout]"][value="asas_image_layout_2"]').prop("checked", true);
                    } else if (value == 'esc_layout_preset_19') {
                        $('input[name="asas_settings[asas_image_layout]"][value="asas_image_layout_3"]').prop("checked", true);
                    } else if (value == 'esc_layout_preset_20') {
                        $('input[name="asas_settings[asas_image_layout]"][value="asas_image_layout_4"]').prop("checked", true);
                    } else if (value == 'esc_layout_preset_21') {
                        $('input[name="asas_settings[asas_image_layout]"][value="asas_image_layout_5"]').prop("checked", true);
                    }

                    if ($.inArray(value, $icon_color_white) !== -1) {
                        $('input[name="asas_settings[asas_icon_text_color]"]').val('#ffffff');
                    } else if (value == 'esc_layout_preset_3' || value == 'esc_layout_preset_14') {
                        $('input[name="asas_settings[asas_icon_text_color]"]').val('#C4CFDC');
                    } else {
                        $('input[name="asas_settings[asas_icon_text_color]"]').val('');
                    }

                    if ($.inArray(value, $icon_bgcolor_white) !== -1) {
                        $('input[name="asas_settings[asas_icon_bgcolor]"]').val('#ffffff');
                    } else if (value == 'esc_layout_preset_22') {
                        $('input[name="asas_settings[asas_icon_bgcolor]"]').val('#009DBE');
                    } else {
                        $('input[name="asas_settings[asas_icon_bgcolor]"]').val('');
                    }

                    if ($.inArray(value, $icon_border_width) !== -1) {
                        $('input[name="asas_settings[asas_icon_border_width]"]').val('2');
                        $('input[name="asas_settings[asas_icon_border_bottom_width]"]').val('2');
                        $('input[name="asas_settings[asas_icon_border_left_width]"]').val('2');
                        $('input[name="asas_settings[asas_icon_border_right_width]"]').val('2');
                        if (value == 'esc_layout_preset_1') {
                            $('input[name="asas_settings[asas_icon_border_width]"]').val('0');
                            $('input[name="asas_settings[asas_icon_border_bottom_width]"]').val('0');
                            $('input[name="asas_settings[asas_icon_border_left_width]"]').val('0');
                        }
                    } else {
                        $('input[name="asas_settings[asas_icon_border_width]"]').val('0');
                        $('input[name="asas_settings[asas_icon_border_bottom_width]"]').val('0');
                        $('input[name="asas_settings[asas_icon_border_left_width]"]').val('0');
                        $('input[name="asas_settings[asas_icon_border_right_width]"]').val('0');
                    }

                    if (value == 'esc_layout_preset_14' || value == 'esc_layout_preset_15') {
                        $('input[name="asas_settings[asas_icon_border_color]"]').val('#C4CFDC');
                        $('input[name="asas_settings[asas_icon_border_bottom_color]"]').val('#C4CFDC');
                        $('input[name="asas_settings[asas_icon_border_left_color]"]').val('#C4CFDC');
                        $('input[name="asas_settings[asas_icon_border_right_color]"]').val('#C4CFDC');
                    } else {
                        $('input[name="asas_settings[asas_icon_border_color]"]').val('');
                        $('input[name="asas_settings[asas_icon_border_bottom_color]"]').val('');
                        $('input[name="asas_settings[asas_icon_border_left_color]"]').val('');
                        $('input[name="asas_settings[asas_icon_border_right_color]"]').val('');
                    }

                    if ($.inArray(value, $icon_border_radius) !== -1) {
                        $('input[name="asas_settings[asas_icon_border_radius]"]').val('100');
                        $('#asas_icon_border_rad_type').val('%');
                    } else if (value == 'esc_layout_preset_10') {
                        $('input[name="asas_settings[asas_icon_border_radius]"]').val('15');
                        $('#asas_icon_border_rad_type').val('px');
                    } else if (value == 'esc_layout_preset_2' || value == 'esc_layout_preset_3' || value == 'esc_layout_preset_7' || value == 'esc_layout_preset_8') {
                        $('input[name="asas_settings[asas_icon_border_radius]"]').val('5');
                        $('#asas_icon_border_rad_type').val('px');
                    } else {
                        $('input[name="asas_settings[asas_icon_border_radius]"]').val('0');
                        $('#asas_icon_border_rad_type').val('px');
                    }

                    if (value == 'esc_layout_preset_7' || value == 'esc_layout_preset_11' || value == 'esc_layout_preset_12') {
                        $('input[name="asas_settings[asas_icon_font_size]"]').val('20');
                        $('input[name="asas_settings[asas_icon_line_height]"]').val('25');
                    } else if (value == 'esc_layout_preset_13' || value == 'esc_layout_preset_14' || value == 'esc_layout_preset_15') {
                        $('input[name="asas_settings[asas_icon_font_size]"]').val('20');
                        $('input[name="asas_settings[asas_icon_line_height]"]').val('22');
                    } else if (value == 'esc_layout_preset_5' || value == 'esc_layout_preset_6' || value == 'esc_layout_preset_8' || value == 'esc_layout_preset_22') {
                        $('input[name="asas_settings[asas_icon_font_size]"]').val('20');
                        $('input[name="asas_settings[asas_icon_line_height]"]').val('23');
                    } else {
                        $('input[name="asas_settings[asas_icon_font_size]"]').val('14');
                        $('input[name="asas_settings[asas_icon_line_height]"]').val('20');
                    }

                    if (value == 'esc_layout_preset_11') {
                        $('input[name="asas_settings[asas_icon_padding_top]"]').val('20');
                        $('input[name="asas_settings[asas_icon_padding_bottom]"]').val('20');
                        $('input[name="asas_settings[asas_icon_padding_left]"]').val('20');
                        $('input[name="asas_settings[asas_icon_padding_right]"]').val('20');
                        $('input[name="asas_settings[asas_text_font_size]"]').val('16');
                    } else if (value == 'esc_layout_preset_5' || value == 'esc_layout_preset_6' || value == 'esc_layout_preset_7' || value == 'esc_layout_preset_8' || value == 'esc_layout_preset_22') {
                        $('input[name="asas_settings[asas_icon_padding_top]"]').val('10');
                        $('input[name="asas_settings[asas_icon_padding_bottom]"]').val('10');
                        $('input[name="asas_settings[asas_icon_padding_left]"]').val('10');
                        $('input[name="asas_settings[asas_icon_padding_right]"]').val('10');
                        $('input[name="asas_settings[asas_text_font_size]"]').val('16');
                    } else {
                        $('input[name="asas_settings[asas_icon_padding_top]"]').val('10');
                        $('input[name="asas_settings[asas_icon_padding_bottom]"]').val('10');
                        $('input[name="asas_settings[asas_icon_padding_left]"]').val('10');
                        $('input[name="asas_settings[asas_icon_padding_right]"]').val('10');
                        $('input[name="asas_settings[asas_text_font_size]"]').val('14');
                    }

                    if ($.inArray(value, $text_color_white) !== -1) {
                        $('input[name="asas_settings[asas_text_color]"]').val('#ffffff');
                    } else if (value == 'esc_layout_preset_3' || value == 'esc_layout_preset_16') {
                        $('input[name="asas_settings[asas_text_color]"]').val('#333333');
                    } else {
                        $('input[name="asas_settings[asas_text_color]"]').val('');
                    }

                    $('input[name="asas_settings[asas_show_box_shadow]"][value="0"]').prop("checked", true);
                    $('input[name="asas_settings[asas_box_shadow_color]"]').val('');

                    if (value == 'esc_layout_preset_1' || value == 'esc_layout_preset_3' || value == 'esc_layout_preset_10') {
                        $('input[name="asas_settings[asas_box_bgcolor]"]').val('#ffffff');
                        $('input[name="asas_settings[asas_box_border_width]"]').val('2');
                    } else if (value == 'esc_layout_preset_8' || value == 'esc_layout_preset_12' || value == 'esc_layout_preset_13' || value == 'esc_layout_preset_14' || value == 'esc_layout_preset_15' || value == 'esc_layout_preset_16') {
                        $('input[name="asas_settings[asas_box_bgcolor]"]').val('');
                        $('input[name="asas_settings[asas_box_border_width]"]').val('0');
                        $('input[name="asas_settings[asas_box_bgcolor]"]').val('rgba(255,255,255,1)');
                    } else if (value == 'esc_layout_preset_16') {
                        $('input[name="asas_settings[asas_box_bgcolor]"]').val('#ffffff');
                    } else if (value == 'esc_layout_preset_22') {
                        $('input[name="asas_settings[asas_box_border_width]"]').val('0');
                        $('input[name="asas_settings[asas_box_bgcolor]"]').val('#009DBE');
                        $('input[name="asas_settings[asas_show_box_shadow]"][value="0"]').prop("checked", true);
                        $('input[name="asas_settings[asas_box_shadow_color]"]').val('');
                    } else {
                        $('input[name="asas_settings[asas_box_bgcolor]"]').val('');
                        $('input[name="asas_settings[asas_box_border_width]"]').val('0');
                    }

                    if (value == 'esc_layout_preset_3') {
                        $('input[name="asas_settings[asas_box_border_color]"]').val('#C4CFDC');
                    } else {
                        $('input[name="asas_settings[asas_box_border_color]"]').val('');
                    }

                    if (value == 'esc_layout_preset_2' || value == 'esc_layout_preset_3' || value == 'esc_layout_preset_7' || value == 'esc_layout_preset_8' || value == 'esc_layout_preset_10') {
                        $('input[name="asas_settings[asas_box_border_radius]"]').val('5');
                    } else {
                        $('input[name="asas_settings[asas_box_border_radius]"]').val('0');
                    }

                    if (value == 'esc_layout_preset_11') {
                        $('input[name="asas_settings[asas_box_padding_top]"]').val('15');
                        $('input[name="asas_settings[asas_box_padding_bottom]"]').val('15');
                        $('input[name="asas_settings[asas_box_padding_left]"]').val('15');
                        $('input[name="asas_settings[asas_box_padding_right]"]').val('15');
                    } else {
                        $('input[name="asas_settings[asas_box_padding_top]"]').val('0');
                        $('input[name="asas_settings[asas_box_padding_bottom]"]').val('0');
                        $('input[name="asas_settings[asas_box_padding_left]"]').val('0');
                        $('input[name="asas_settings[asas_box_padding_right]"]').val('0');
                    }

                    if ($.inArray(value, $icon_position_left) !== -1) {
                        $('.asas_icon_text_type').show();
                        $('#asas_share_icon_position').val('left');
                    } else if (value == 'esc_layout_preset_4') {
                        $('.asas_icon_text_type').show();
                        $('#asas_share_icon_position').val('right');
                    } else if (value == 'esc_layout_preset_9') {
                        $('.asas_icon_text_type').show();
                        $('#asas_share_icon_position').val('top');
                    } else if (value == 'esc_layout_preset_10') {
                        $('.asas_icon_text_type').show();
                        $('#asas_share_icon_position').val('bottom');
                    }

                    esas_show_hide_options();
                    esas_widget_default_settings();
                }
            );
            /* validation*/
            $('.asas_button_wrap #submit').on(
                'click',
                function(event) {
                    var flag = true;
                    var image_flag = true;
                    var icon_flag = true;
                    $(this).removeClass('error');
                    $(".asas_custom_share_link_tbl .asas_row1 input[type='text']").each(
                        function() {
                            if (!$(this).val()) {
                                if ($('#asas_share_button_type').val() == 'img') {
                                    if ($(this).hasClass('share_image_wrap')) {
                                        flag = false;
                                        image_flag = false;
                                        $(this).addClass('error');
                                    } else {
                                        $(this).removeClass('error');
                                    }
                                } else {
                                    if ($(this).hasClass('share_icon_wrap')) {
                                        flag = false;
                                        icon_flag = false;
                                        $(this).addClass('error');
                                    } else {
                                        $(this).removeClass('error');
                                    }
                                }
                            } else {
                                $(this).removeClass('error');
                            }
                        }
                    );

                    if (icon_flag == false) {
                        alert(esasadminObj.share_icon_empty);
                    }
                    if (image_flag == false) {
                        alert(esasadminObj.share_image_empty);
                    }
                    if (!flag) {
                        return false;
                    }
                }
            );

            $(".asas_custom_share_link_tbl .asas_row1 input[type='text']").blur(
                function() {
                    if (!$(this).val()) {
                        flag = false;
                        $(this).addClass('error');
                    } else {
                        $(this).removeClass('error');
                    }
                }
            );

            var $asas_content_tab = ['asas_share_settings', 'asas_share_items', 'asas_widgets_preset', 'asas_widgets_setting', 'asas_other_setting', 'asas_share_help'];
            if (window.localStorage.getItem("lastcontenttab") == null ||
                ($.inArray(window.localStorage.getItem("lastcontenttab"), $asas_content_tab) == -1)) {
                window.localStorage.setItem("lastcontenttab", 'asas_share_settings');
                $('.asas_title').removeClass('nav-tab-active');
                $('.asas_share_settings').addClass('nav-tab-active');
                $('.sas-content-div').hide();
                $('#asas_share_settings').show();
            } else {
                $('.asas_title').removeClass('nav-tab-active');
                $('.' + window.localStorage.getItem("lastcontenttab")).addClass('nav-tab-active');
                $('.sas-content-div').hide();
                $('#' + window.localStorage.getItem("lastcontenttab")).show();
            }

            // Click on admin tabs
            $('.nav-tab-wrapper li.nav-tab').on(
                'click',
                function() {
                    var this_tab = $(this);
                    var data_href = $(this).find(".asas_title").attr('data-href');
                    $('.sas-content-div').hide();
                    $('#' + data_href).show();
                    $('.nav-tab-wrapper li.nav-tab').removeClass('nav-tab-active');
                    this_tab.addClass('nav-tab-active');
                    if (window.localStorage) {
                        localStorage.setItem("lastcontenttab", data_href);
                    }
                }
            );

            /**
             * Admin Restore Default js
             */
            $('.restore-button').on(
                'click',
                function() {
                    if (confirm("Are you sure want to reset the settings?")) {
						$('.restore-button').val(esasadminObj.loading);
                        $('.loading_img_div').css('display', 'inline-block');
                        var data = {
                            action: 'reset_asas_settings'
                        };
                        $.post(
                            ajaxurl,
                            data,
                            function(response) {
                                if (response == 'success') {
                                    $('.loading_img_div').css('display', 'none');
                                    $("html, body").animate({ scrollTop: 0 }, 1000);
                                    window.location.href = window.location.href;
                                }
                            }
                        );
					} else {
						return false;
					}
                }
            );

            // add row for Share Button Text

            $('.asas_add_custom_share_link').on(
                'click',
                function() {
                    var field_table = $(this).attr('data-id');
                    var div = $('.' + field_table);
                    var row_count = div.children('tbody').find('tr.asas_row1').length;
                    var count = parseInt(row_count);
                    count++;
                    var new_field = div.children('tbody').children('tr.asas_clone').clone(false); // Create and add the new field
                    new_field.attr('class', 'asas_row1 asas_custom_share_link_tbl_' + count);

                    new_field.html(new_field.html().replace(/replace_this/g, count));
                    new_field.insertBefore(div.children('tbody').find('.asas_clone'));
                    row_count++;

                    $('.asas_custom_share_link_tbl').html().replace(/replace_this/g, count);

                    $(".asas_custom_share_link_tbl .asas_row1 input[type='text']").blur(
                        function() {
                            if (!$(this).val()) {
                                flag = false;
                                $(this).addClass('error');
                            } else {
                                $(this).removeClass('error');
                            }
                        }
                    );
                    esas_custom_share_icon();

                    return false;
                }
            );
            $("#asas_supported_posttype").select2({
                formatNoMatches: function() {
                    return esasadminObj.no_post_type_found;
                }
            });
            $("#share_select").select2Sortable({
                formatNoMatches: function() {
                    return esasadminObj.no_share_with_found;
                }
            });
            $(".sas-select2-cover").select2();
            $('.asas_color_picker').wpColorPicker();

            $('#asas_text_to_share').change(
                function() {
                    if ($(this).val() == 'con') {
                        $('.asas_page_con').show();
                        $('#page_con').removeAttr('disabled');
                        $('.asas_page_sel').hide();
                        $('#page_sel').attr('disabled', 'disabled');
                        $('.conbase').fadeIn('slow');
                        $('.close_button_row').hide();
                    } else {
                        $('.asas_page_con').hide();
                        $('#page_con').attr('disabled', 'disabled');
                        $('.asas_page_sel').show();
                        $('#page_sel').removeAttr('disabled');
                        $('.conbase').fadeOut('slow');
                        $('.close_button_row').show();
                    }
                }
            );
            if ($('#asas_text_to_share').val() == 'con') {
                $('.asas_page_con').show();
                $('#page_con').removeAttr('disabled');
                $('.asas_page_sel').hide();
                $('#page_sel').attr('disabled', 'disabled');
                $('.conbase').show();
                $('.close_button_row').hide();
            } else {
                $('.asas_page_con').hide();
                $('#page_con').attr('disabled', 'disabled');
                $('.asas_page_sel').show();
                $('#page_sel').removeAttr('disabled');
                $('.conbase').hide();
                $('.close_button_row').show();
            }

            // show icon colors
            $('#asas_share_button_type').change(
                function() {
                    if ($(this).val() == 'icon') {
                        $('.button_type_icon').fadeIn('slow');
                    } else {
                        $('.button_type_icon').fadeOut('slow');
                    }
                    $('.button_type_text').fadeOut('slow');

                    if ($(this).val() == 'img') {
                        $('.button_type_image').fadeIn('slow');
                        $('.sas-social-share-image').fadeIn('slow');
                        $('.sas-social-share-icon').fadeOut('slow');
                    } else {
                        $('.button_type_image').fadeOut('slow');
                        $('.sas-social-share-image').fadeOut('slow');
                        $('.sas-social-share-icon').fadeIn('slow');
                    }
                    if ($(this).val() == 'icon') {
                        $('.asas_icon_text_type').fadeOut('slow');
                    } else {
                        $('.asas_icon_text_type').fadeIn('slow');
                    }
                }
            );
            $('input[name="asas_settings[asas_show_widget_box_shadow]"]').on(
                'change',
                function() {
                    if ($(this).val() == '0') {
                        $('.asas_widget_box_shadow_color.asas_show_in_popup_only').fadeOut();
                    } else {
                        $('.asas_widget_box_shadow_color.asas_show_in_popup_only').fadeIn();
                    }
                }
            );

            $('input[name="asas_settings[asas_show_box_shadow]"]').on(
                'change',
                function() {
                    if ($(this).val() == '0') {
                        $('.asas_box_shadow_color_wrapper').fadeOut();
                    } else {
                        $('.asas_box_shadow_color_wrapper').fadeIn();
                    }
                }
            );

            esas_show_hide_options();

            var postType = $('select[name="asas_settings[asas_supported_posttype][]"]').val();
            if (postType != '' && postType != 'page') {
                var data = {
                    action: 'esas_get_category_by_posttype',
                    postType: postType,
                    esas_nonce: esasadminObj.esas_nonce
                };
                $.post(
                    ajaxurl,
                    data,
                    function(response) {
                        $('#asas_categories').html('');
                        $('#asas_categories').html(response);
                        $("#asas_categories").select2({
                            formatNoMatches: function() {
                                return esasadminObj.no_category_found;
                            }
                        });

                        var cat1 = $('#asas_categories option').length;
                        if (postType == '' || postType == 'page' || cat1 == 0) {
                            $('#asas_supported_cat').fadeOut('slow');
                        } else {
                            $('#asas_supported_cat').fadeIn('slow');
                        }
                    }
                );
            }
            $('.asas_supported_posttype').change(
                function() {
                    var postType = $(this).val();
                    var data = {
                        action: 'esas_get_category_by_posttype',
                        postType: postType,
                        esas_nonce: esasadminObj.esas_nonce
                    };
                    $.post(
                        ajaxurl,
                        data,
                        function(response) {
                            $('#asas_categories').html('');
                            $('#asas_categories').html(response);
                            $("#asas_categories").select2({
                                formatNoMatches: function() {
                                    return esasadminObj.no_category_found;
                                }
                            });

                            var cat2 = $('#asas_categories option').length;
                            if (postType == null || postType == 'page' || cat2 == 0) {
                                $('#asas_supported_cat').fadeOut('slow');
                            } else {
                                $('#asas_supported_cat').fadeIn('slow');
                            }

                        }
                    );
                }
            );

            $(".asas_select_template").on(
                'click',
                function(e) {
                    e.preventDefault();
                    var template_name = $('#template_name').val();
                    $(".esc_layout_preset").dialog({
                        title: esasadminObj.choose_preset_layout,
                        width: $(window).width() - 500,
                        height: $(window).height() - 100,
                        modal: true,
                        draggable: false,
                        resizable: false,
                        dialogClass: 'esc-layout-preset-ui-dialog',
                        buttons: [{
                            text: esasadminObj.close,
                            class: 'ui-icon-close',
                            click: function() {
                                $(this).dialog("close");
                            },
                        }],
                        close: function() {
                            var template_name = $('#template_name').val();
                            $('.esc_current_preset .esc_layout_preset_theme').remove();
                            $('.esc_current_preset').html('<div class="esc_layout_preset_theme ' + template_name + '"><label><span></span></label></div>');
                        }
                    });
                    return false;
                }
            );
            jQuery('.pro-feature, .pro-feature ul, .pro-feature input, .pro-feature a, .pro-feature .sas-upload_image_button, #sas-show-preview').on('click', function(e) {
                e.preventDefault();
                jQuery("#sas-advertisement-popup").dialog({
                    resizable: false,
                    draggable: false,
                    modal: true,
                    height: "auto",
                    width: 'auto',
                    maxWidth: '100%',
                    dialogClass: 'sas-advertisement-ui-dialog',
                    buttons: [{
                        text: 'x',
                        "class": 'sas-btn sas-btn-gray',
                        click: function() {
                            jQuery(this).dialog("close");
                        }
                    }],
                    open: function(event, ui) {
                        jQuery(this).parent().children('.ui-dialog-titlebar').hide();
                    },
                    hide: {
                        effect: "fadeOut",
                        duration: 500
                    },
                    close: function(event, ui) {
                        jQuery("#sas-advertisement-popup").dialog('close');
                    },
                });
            });

        }(jQuery))
    }
);

function esas_show_hide_options() {
    if (jQuery('#asas_share_button_type').val() == 'icon') {
        jQuery('.button_type_icon').show();
    } else {
        jQuery('.button_type_icon').hide();
    }
    if (jQuery('#asas_share_button_type').val() == 'icon') {
        jQuery('.asas_icon_text_type').hide();
    } else {
        jQuery('.asas_icon_text_type').show();
    }
    jQuery('.button_type_text').hide();

    if (jQuery('#asas_share_button_type').val() == 'img') {
        jQuery('.button_type_image').show();
        jQuery('.asas_box_setting').hide();
        jQuery('.sas-social-share-image').show();
        jQuery('.sas-social-share-icon').hide();
    } else {
        jQuery('.button_type_image').hide();
        jQuery('.asas_box_setting').show();
        jQuery('.sas-social-share-image').hide();
        jQuery('.sas-social-share-icon').show();
    }
    var postType = jQuery('#asas_supported_posttype').val();
    var cat2 = jQuery('#asas_categories option').length;
    if (postType == null || (postType == 'page' && postType != 'post') || cat2 == 0) {
        jQuery('#asas_supported_cat').hide();
    } else {
        jQuery('#asas_supported_cat').show();
    }
    if (jQuery('input[name="asas_settings[asas_show_box_shadow]"][value="0"]').prop("checked")) {
        jQuery('.asas_box_shadow_color_wrapper').hide();
    } else {
        jQuery('.asas_box_shadow_color_wrapper').show();
    }
    if (jQuery('#asas_text_to_share').val() == 'sel') {
        jQuery('.asas_show_in_popup_only').show();
    } else {
        jQuery('.asas_show_in_popup_only').hide();
    }
}

function esas_save_order() {
    var order = '';
    jQuery('#share_select').find('option').each(
        function() {
            order = order + jQuery(this).attr('value') + ',';
        }
    );
    var data = {
        action: 'esas_set_order',
        order: order,
        esas_nonce: esasadminObj.esas_nonce
    };
    jQuery.post(
        ajaxurl,
        data,
        function(response) {
            return true;
        }
    );
}
(function($) {
    "use strict";
    $(
        function() {
            $('.asas_color_picker not in used').each(
                function() {
                    if ($(this).val() != '') {
                        $(this).css('border-bottom', '1px solid ' + $(this).val());
                        $(this).css('border-left', '40px solid ' + $(this).val());
                        $(this).css('border-right', '1px solid ' + $(this).val());
                        $(this).css('border-top', '1px solid ' + $(this).val());
                    }
                }
            );

            // code for colorpicker
            $('.asas_color_picker input').iris({
                hide: true,
                widht: 200,
                palettes: true,
                change: function(event, ui) {
                    $(this).css('border-bottom', '1px solid ' + ui.color.toString());
                    $(this).css('border-left', '40px solid ' + ui.color.toString());
                    $(this).css('border-right', '1px solid ' + ui.color.toString());
                    $(this).css('border-top', '1px solid ' + ui.color.toString());
                }
            });
            $(document).on(
                'click',
                function(e) {
                    if (!$(e.target).is(".colour-picker, .iris-picker, .iris-picker-inner, .iris-palette-container, .iris-palette")) {
                        $('.asas_color_picker input').iris('hide');
                    }
                }
            );
            $('.asas_color_picker input').on(
                'click',
                function(event) {
                    $('.asas_color_picker input').iris('hide');
                    $(this).iris('show');
                    return false;
                }
            );
        }
    );
}(jQuery));

function esas_button_type_default_settings(type) {
    jQuery('.asas_share_button_type').val(type);
}

function esas_widget_default_settings() {
    jQuery('#asas_icon_border_type').val('solid');
    jQuery('#asas_icon_border_bottom_type').val('solid');
    jQuery('#asas_icon_border_left_type').val('solid');
    jQuery('#asas_icon_border_right_type').val('solid');
    jQuery('#asas_share_box_border_type').val('solid');
    jQuery('#asas_share_widget_border_type').val('solid');

    jQuery('.asas_show_widget_position').val("in_popup");
    jQuery('input[name="asas_settings[asas_title_color]"]').val('#000000');

    jQuery('#asas_box_border_rad_type').val('px');
    jQuery('#asas_widget_border_rad_type').val('px');

    jQuery('input[name="asas_settings[asas_share_widget_border_width]"]').val('0');
    jQuery('input[name="asas_settings[asas_title_background]"]').val('#ffffff');
    jQuery('input[name="asas_settings[asas_widget_border_color]"]').val('');

    if (jQuery('.esc_layout_preset_theme input:checked').val() == 'esc_layout_preset_22') {
        jQuery('input[name="asas_settings[asas_show_box_shadow]"][value="0"]').prop("checked", false);
        jQuery('input[name="asas_settings[asas_display_close_button]"][value="1"]').prop("checked", false);
        jQuery('input[name="asas_settings[asas_display_close_button]"][value="0"]').prop("checked", true);
        jQuery('input[name="asas_settings[asas_widget_background]"]').val('#009DBE');
        jQuery('input[name="asas_settings[asas_widget_box_shadow_color]"]').val('');
        jQuery('input[name="asas_settings[asas_widget_border_radius]"]').val('0');
    } else {
        jQuery('input[name="asas_settings[asas_show_box_shadow]"][value="0"]').prop("checked", true);
        jQuery('input[name="asas_settings[asas_display_close_button]"][value="1"]').prop("checked", true);
        jQuery('input[name="asas_settings[asas_widget_background]"]').val('#ffffff');
        jQuery('input[name="asas_settings[asas_widget_box_shadow_color]"]').val('#e2e2e2');
        jQuery('input[name="asas_settings[asas_widget_border_radius]"]').val('10');
    }
}
// Fill Icon set in dialog box
function esas_get_iconset(element) {

    var fab_array = ["fa-500px", "fa-accessible-icon", "fa-accusoft", "fa-adn", "fa-adversal", "fa-affiliatetheme", "fa-algolia", "fa-amazon", "fa-amazon-pay", "fa-amilia", "fa-android", "fa-angellist", "fa-angrycreative", "fa-angular", "fa-app-store", "fa-app-store-ios", "fa-apper", "fa-apple", "fa-apple-pay", "fa-asymmetrik", "fa-audible", "fa-autoprefixer", "fa-avianex", "fa-aviato", "fa-aws", "fa-bandcamp", "fa-behance", "fa-behance-square", "fa-bimobject", "fa-bitbucket", "fa-bitcoin", "fa-bity", "fa-black-tie", "fa-blackberry", "fa-blogger", "fa-blogger-b", "fa-bluetooth", "fa-bluetooth-b", "fa-btc", "fa-buromobelexperte", "fa-buysellads", "fa-cc-amazon-pay", "fa-cc-amex", "fa-cc-apple-pay", "fa-cc-diners-club", "fa-cc-discover", "fa-cc-jcb", "fa-cc-mastercard", "fa-cc-paypal", "fa-cc-stripe", "fa-cc-visa", "fa-centercode", "fa-chrome", "fa-cloudscale", "fa-cloudsmith", "fa-cloudversify", "fa-codepen", "fa-codiepie", "fa-connectdevelop", "fa-contao", "fa-cpanel", "fa-creative-commons", "fa-css3", "fa-css3-alt", "fa-cuttlefish", "fa-d-and-d", "fa-dashcube", "fa-delicious", "fa-deploydog", "fa-deskpro", "fa-deviantart", "fa-digg", "fa-digital-ocean", "fa-discord", "fa-discourse", "fa-dochub", "fa-docker", "fa-draft2digital", "fa-dribbble", "fa-dribbble-square", "fa-dropbox", "fa-drupal", "fa-dyalog", "fa-earlybirds", "fa-edge", "fa-elementor", "fa-ember", "fa-empire", "fa-envira", "fa-erlang", "fa-ethereum", "fa-etsy", "fa-expeditedssl", "fa-facebook", "fa-facebook-f", "fa-facebook-messenger", "fa-facebook-square", "fa-firefox", "fa-first-order", "fa-firstdraft", "fa-flickr", "fa-flipboard", "fa-fly", "fa-font-awesome", "fa-font-awesome-alt", "fa-font-awesome-flag", "fa-fonticons", "fa-fonticons-fi", "fa-fort-awesome", "fa-fort-awesome-alt", "fa-forumbee", "fa-foursquare", "fa-free-code-camp", "fa-freebsd", "fa-get-pocket", "fa-gg", "fa-gg-circle", "fa-git", "fa-git-square", "fa-github", "fa-github-alt", "fa-github-square", "fa-gitkraken", "fa-gitlab", "fa-gitter", "fa-glide", "fa-glide-g", "fa-gofore", "fa-goodreads", "fa-goodreads-g", "fa-google", "fa-google-drive", "fa-google-play", "fa-google-plus", "fa-google-plus-g", "fa-google-plus-square", "fa-google-wallet", "fa-gratipay", "fa-grav", "fa-gripfire", "fa-grunt", "fa-gulp", "fa-hacker-news", "fa-hacker-news-square", "fa-hips", "fa-hire-a-helper", "fa-hooli", "fa-hotjar", "fa-houzz", "fa-html5", "fa-hubspot", "fa-imdb", "fa-instagram", "fa-internet-explorer", "fa-ioxhost", "fa-itunes", "fa-itunes-note", "fa-jenkins", "fa-joget", "fa-joomla", "fa-js", "fa-js-square", "fa-jsfiddle", "fa-keycdn", "fa-kickstarter", "fa-kickstarter-k", "fa-korvue", "fa-laravel", "fa-lastfm", "fa-lastfm-square", "fa-leanpub", "fa-less", "fa-line", "fa-linkedin", "fa-linkedin-in", "fa-linode", "fa-linux", "fa-lyft", "fa-magento", "fa-maxcdn", "fa-medapps", "fa-medium", "fa-medium-m", "fa-medrt", "fa-meetup", "fa-microsoft", "fa-mix", "fa-mixcloud", "fa-mizuni", "fa-modx", "fa-monero", "fa-napster", "fa-nintendo-switch", "fa-node", "fa-node-js", "fa-npm", "fa-ns8", "fa-nutritionix", "fa-odnoklassniki", "fa-odnoklassniki-square", "fa-opencart", "fa-openid", "fa-opera", "fa-optin-monster", "fa-osi", "fa-page4", "fa-pagelines", "fa-palfed", "fa-patreon", "fa-paypal", "fa-periscope", "fa-phabricator", "fa-phoenix-framework", "fa-php", "fa-pied-piper", "fa-pied-piper-alt", "fa-pied-piper-pp", "fa-pinterest", "fa-pinterest-p", "fa-pinterest-square", "fa-playstation", "fa-product-hunt", "fa-pushed", "fa-python", "fa-qq", "fa-quinscape", "fa-quora", "fa-ravelry", "fa-react", "fa-rebel", "fa-red-river", "fa-reddit", "fa-reddit-alien", "fa-reddit-square", "fa-rendact", "fa-renren", "fa-replyd", "fa-resolving", "fa-rocketchat", "fa-rockrms", "fa-safari", "fa-sass", "fa-schlix", "fa-scribd", "fa-searchengin", "fa-sellcast", "fa-sellsy", "fa-servicestack", "fa-shirtsinbulk", "fa-simplybuilt", "fa-sistrix", "fa-skyatlas", "fa-skype", "fa-slack", "fa-slack-hash", "fa-slideshare", "fa-snapchat", "fa-snapchat-ghost", "fa-snapchat-square", "fa-soundcloud", "fa-speakap", "fa-spotify", "fa-stack-exchange", "fa-stack-overflow", "fa-staylinked", "fa-steam", "fa-steam-square", "fa-steam-symbol", "fa-sticker-mule", "fa-strava", "fa-stripe", "fa-stripe-s", "fa-studiovinari", "fa-stumbleupon", "fa-stumbleupon-circle", "fa-superpowers", "fa-supple", "fa-telegram", "fa-telegram-plane", "fa-tencent-weibo", "fa-themeisle", "fa-trello", "fa-tripadvisor", "fa-tumblr", "fa-tumblr-square", "fa-twitch", "fa-x-twitter", "fa-twitter-square", "fa-typo3", "fa-uber", "fa-uikit", "fa-uniregistry", "fa-untappd", "fa-usb", "fa-ussunnah", "fa-vaadin", "fa-viacoin", "fa-viadeo", "fa-viadeo-square", "fa-viber", "fa-vimeo", "fa-vimeo-square", "fa-vimeo-v", "fa-vine", "fa-vk", "fa-vnv", "fa-vuejs", "fa-weibo", "fa-weixin", "fa-whatsapp", "fa-whatsapp-square", "fa-whmcs", "fa-wikipedia-w", "fa-windows", "fa-wordpress", "fa-wordpress-simple", "fa-wpbeginner", "fa-wpexplorer", "fa-wpforms", "fa-xbox", "fa-xing", "fa-xing-square", "fa-y-combinator", "fa-yahoo", "fa-yandex", "fa-yandex-international", "fa-yelp", "fa-yoast", "fa-youtube", "fa-youtube-square"];
    var far_array = ["fa-address-book", "fa-address-card", "fa-arrow-alt-circle-down", "fa-arrow-alt-circle-left", "fa-arrow-alt-circle-right", "fa-arrow-alt-circle-up", "fa-bell", "fa-bell-slash", "fa-bookmark", "fa-building", "fa-calendar", "fa-calendar-alt", "fa-calendar-check", "fa-calendar-minus", "fa-calendar-plus", "fa-calendar-times", "fa-caret-square-down", "fa-caret-square-left", "fa-caret-square-right", "fa-caret-square-up", "fa-chart-bar", "fa-check-circle", "fa-check-square", "fa-circle", "fa-clipboard", "fa-clock", "fa-clone", "fa-closed-captioning", "fa-comment", "fa-comment-alt", "fa-comments", "fa-compass", "fa-copy", "fa-copyright", "fa-credit-card", "fa-dot-circle", "fa-edit", "fa-envelope", "fa-envelope-open", "fa-eye-slash", "fa-file", "fa-file-alt", "fa-file-archive", "fa-file-audio", "fa-file-code", "fa-file-excel", "fa-file-image", "fa-file-pdf", "fa-file-powerpoint", "fa-file-video", "fa-file-word", "fa-flag", "fa-folder", "fa-folder-open", "fa-frown", "fa-futbol", "fa-gem", "fa-hand-lizard", "fa-hand-paper", "fa-hand-peace", "fa-hand-point-down", "fa-hand-point-left", "fa-hand-point-right", "fa-hand-point-up", "fa-hand-pointer", "fa-hand-rock", "fa-hand-scissors", "fa-hand-spock", "fa-handshake", "fa-hdd", "fa-heart", "fa-hospital", "fa-hourglass", "fa-id-badge", "fa-id-card", "fa-image", "fa-images", "fa-keyboard", "fa-lemon", "fa-life-ring", "fa-lightbulb", "fa-list-alt", "fa-map", "fa-meh", "fa-minus-square", "fa-money-bill-alt", "fa-moon", "fa-newspaper", "fa-object-group", "fa-object-ungroup", "fa-paper-plane", "fa-pause-circle", "fa-play-circle", "fa-plus-square", "fa-question-circle", "fa-registered", "fa-save", "fa-share-square", "fa-smile", "fa-snowflake", "fa-square", "fa-star", "fa-star-half", "fa-sticky-note", "fa-stop-circle", "fa-sun", "fa-thumbs-down", "fa-thumbs-up", "fa-times-circle", "fa-trash-alt", "fa-user", "fa-user-circle", "fa-window-close", "fa-window-maximize", "fa-window-minimize", "fa-window-restore"];
    var fas_array = ["fa-address-book", "fa-address-card", "fa-adjust", "fa-align-center", "fa-align-justify", "fa-align-left", "fa-align-right", "fa-ambulance", "fa-american-sign-language-interpreting", "fa-anchor", "fa-angle-double-down", "fa-angle-double-left", "fa-angle-double-right", "fa-angle-double-up", "fa-angle-down", "fa-angle-left", "fa-angle-right", "fa-angle-up", "fa-archive", "fa-arrow-alt-circle-down", "fa-arrow-alt-circle-left", "fa-arrow-alt-circle-right", "fa-arrow-alt-circle-up", "fa-arrow-circle-down", "fa-arrow-circle-left", "fa-arrow-circle-right", "fa-arrow-circle-up", "fa-arrow-down", "fa-arrow-left", "fa-arrow-right", "fa-arrow-up", "fa-arrows-alt", "fa-arrows-alt-h", "fa-arrows-alt-v", "fa-assistive-listening-systems", "fa-asterisk", "fa-at", "fa-audio-description", "fa-backward", "fa-balance-scale", "fa-ban", "fa-band-aid", "fa-barcode", "fa-bars", "fa-baseball-ball", "fa-basketball-ball", "fa-bath", "fa-battery-empty", "fa-battery-full", "fa-battery-half", "fa-battery-quarter", "fa-battery-three-quarters", "fa-bed", "fa-beer", "fa-bell", "fa-bell-slash", "fa-bicycle", "fa-binoculars", "fa-birthday-cake", "fa-blind", "fa-bold", "fa-bolt", "fa-bomb", "fa-book", "fa-bookmark", "fa-bowling-ball", "fa-box", "fa-boxes", "fa-braille", "fa-briefcase", "fa-bug", "fa-building", "fa-bullhorn", "fa-bullseye", "fa-bus", "fa-calculator", "fa-calendar", "fa-calendar-alt", "fa-calendar-check", "fa-calendar-minus", "fa-calendar-plus", "fa-calendar-times", "fa-camera", "fa-camera-retro", "fa-car", "fa-caret-down", "fa-caret-left", "fa-caret-right", "fa-caret-square-down", "fa-caret-square-left", "fa-caret-square-right", "fa-caret-square-up", "fa-caret-up", "fa-cart-arrow-down", "fa-cart-plus", "fa-certificate", "fa-chart-area", "fa-chart-bar", "fa-chart-line", "fa-chart-pie", "fa-check", "fa-check-circle", "fa-check-square", "fa-chess", "fa-chess-bishop", "fa-chess-board", "fa-chess-king", "fa-chess-knight", "fa-chess-pawn", "fa-chess-queen", "fa-chess-rook", "fa-chevron-circle-down", "fa-chevron-circle-left", "fa-chevron-circle-right", "fa-chevron-circle-up", "fa-chevron-down", "fa-chevron-left", "fa-chevron-right", "fa-chevron-up", "fa-child", "fa-circle", "fa-circle-notch", "fa-clipboard", "fa-clipboard-check", "fa-clipboard-list", "fa-clock", "fa-clone", "fa-closed-captioning", "fa-cloud", "fa-cloud-download-alt", "fa-cloud-upload-alt", "fa-code", "fa-code-branch", "fa-coffee", "fa-cog", "fa-cogs", "fa-columns", "fa-comment", "fa-comment-alt", "fa-comments", "fa-compass", "fa-compress", "fa-copy", "fa-copyright", "fa-credit-card", "fa-crop", "fa-crosshairs", "fa-cube", "fa-cubes", "fa-cut", "fa-database", "fa-deaf", "fa-desktop", "fa-dna", "fa-dollar-sign", "fa-dolly", "fa-dolly-flatbed", "fa-dot-circle", "fa-download", "fa-edit", "fa-eject", "fa-ellipsis-h", "fa-ellipsis-v", "fa-envelope", "fa-envelope-open", "fa-envelope-square", "fa-eraser", "fa-euro-sign", "fa-exchange-alt", "fa-exclamation", "fa-exclamation-circle", "fa-exclamation-triangle", "fa-expand", "fa-expand-arrows-alt", "fa-external-link-alt", "fa-external-link-square-alt", "fa-eye", "fa-eye-dropper", "fa-eye-slash", "fa-fast-backward", "fa-fast-forward", "fa-fax", "fa-female", "fa-fighter-jet", "fa-file", "fa-file-alt", "fa-file-archive", "fa-file-audio", "fa-file-code", "fa-file-excel", "fa-file-image", "fa-file-pdf", "fa-file-powerpoint", "fa-file-video", "fa-file-word", "fa-film", "fa-filter", "fa-fire", "fa-fire-extinguisher", "fa-first-aid", "fa-flag", "fa-flag-checkered", "fa-flask", "fa-folder", "fa-folder-open", "fa-font", "fa-football-ball", "fa-forward", "fa-frown", "fa-futbol", "fa-gamepad", "fa-gavel", "fa-gem", "fa-genderless", "fa-gift", "fa-glass-martini", "fa-globe", "fa-golf-ball", "fa-graduation-cap", "fa-h-square", "fa-hand-lizard", "fa-hand-paper", "fa-hand-peace", "fa-hand-point-down", "fa-hand-point-left", "fa-hand-point-right", "fa-hand-point-up", "fa-hand-pointer", "fa-hand-rock", "fa-hand-scissors", "fa-hand-spock", "fa-handshake", "fa-hashtag", "fa-hdd", "fa-heading", "fa-headphones", "fa-heart", "fa-heartbeat", "fa-history", "fa-hockey-puck", "fa-home", "fa-hospital", "fa-hospital-symbol", "fa-hourglass", "fa-hourglass-end", "fa-hourglass-half", "fa-hourglass-start", "fa-i-cursor", "fa-id-badge", "fa-id-card", "fa-image", "fa-images", "fa-inbox", "fa-indent", "fa-industry", "fa-info", "fa-info-circle", "fa-italic", "fa-key", "fa-keyboard", "fa-language", "fa-laptop", "fa-leaf", "fa-lemon", "fa-level-down-alt", "fa-level-up-alt", "fa-life-ring", "fa-lightbulb", "fa-link", "fa-lira-sign", "fa-list", "fa-list-alt", "fa-list-ol", "fa-list-ul", "fa-location-arrow", "fa-lock", "fa-lock-open", "fa-long-arrow-alt-down", "fa-long-arrow-alt-left", "fa-long-arrow-alt-right", "fa-long-arrow-alt-up", "fa-low-vision", "fa-magic", "fa-magnet", "fa-male", "fa-map", "fa-map-marker", "fa-map-marker-alt", "fa-map-pin", "fa-map-signs", "fa-mars", "fa-mars-double", "fa-mars-stroke", "fa-mars-stroke-h", "fa-mars-stroke-v", "fa-medkit", "fa-meh", "fa-mercury", "fa-microchip", "fa-microphone", "fa-microphone-slash", "fa-minus", "fa-minus-circle", "fa-minus-square", "fa-mobile", "fa-mobile-alt", "fa-money-bill-alt", "fa-moon", "fa-motorcycle", "fa-mouse-pointer", "fa-music", "fa-neuter", "fa-newspaper", "fa-object-group", "fa-object-ungroup", "fa-outdent", "fa-paint-brush", "fa-pallet", "fa-paper-plane", "fa-paperclip", "fa-paragraph", "fa-paste", "fa-pause", "fa-pause-circle", "fa-paw", "fa-pen-square", "fa-pencil-alt", "fa-percent", "fa-phone", "fa-phone-square", "fa-phone-volume", "fa-pills", "fa-plane", "fa-play", "fa-play-circle", "fa-plug", "fa-plus", "fa-plus-circle", "fa-plus-square", "fa-podcast", "fa-pound-sign", "fa-power-off", "fa-print", "fa-puzzle-piece", "fa-qrcode", "fa-question", "fa-question-circle", "fa-quidditch", "fa-quote-left", "fa-quote-right", "fa-random", "fa-recycle", "fa-redo", "fa-redo-alt", "fa-registered", "fa-reply", "fa-reply-all", "fa-retweet", "fa-road", "fa-rocket", "fa-rss", "fa-rss-square", "fa-ruble-sign", "fa-rupee-sign", "fa-save", "fa-search", "fa-search-minus", "fa-search-plus", "fa-server", "fa-share", "fa-share-alt", "fa-share-alt-square", "fa-share-square", "fa-shekel-sign", "fa-shield-alt", "fa-ship", "fa-shipping-fast", "fa-shopping-bag", "fa-shopping-basket", "fa-shopping-cart", "fa-shower", "fa-sign-in-alt", "fa-sign-language", "fa-sign-out-alt", "fa-signal", "fa-sitemap", "fa-sliders-h", "fa-smile", "fa-snowflake", "fa-sort", "fa-sort-alpha-down", "fa-sort-alpha-up", "fa-sort-amount-down", "fa-sort-amount-up", "fa-sort-down", "fa-sort-numeric-down", "fa-sort-numeric-up", "fa-sort-up", "fa-space-shuttle", "fa-spinner", "fa-square", "fa-square-full", "fa-star", "fa-star-half", "fa-step-backward", "fa-step-forward", "fa-stethoscope", "fa-sticky-note", "fa-stop", "fa-stop-circle", "fa-stopwatch", "fa-street-view", "fa-strikethrough", "fa-subscript", "fa-subway", "fa-suitcase", "fa-sun", "fa-superscript", "fa-sync", "fa-sync-alt", "fa-syringe", "fa-table", "fa-table-tennis", "fa-tablet", "fa-tablet-alt", "fa-tachometer-alt", "fa-tag", "fa-tags", "fa-tasks", "fa-taxi", "fa-terminal", "fa-text-height", "fa-text-width", "fa-th", "fa-th-large", "fa-th-list", "fa-thermometer", "fa-thermometer-empty", "fa-thermometer-full", "fa-thermometer-half", "fa-thermometer-quarter", "fa-thermometer-three-quarters", "fa-thumbs-down", "fa-thumbs-up", "fa-thumbtack", "fa-ticket-alt", "fa-times", "fa-times-circle", "fa-tint", "fa-toggle-off", "fa-toggle-on", "fa-trademark", "fa-train", "fa-transgender", "fa-transgender-alt", "fa-trash", "fa-trash-alt", "fa-tree", "fa-trophy", "fa-truck", "fa-tty", "fa-tv", "fa-umbrella", "fa-underline", "fa-undo", "fa-undo-alt", "fa-universal-access", "fa-university", "fa-unlink", "fa-unlock", "fa-unlock-alt", "fa-upload", "fa-user", "fa-user-circle", "fa-user-md", "fa-user-plus", "fa-user-secret", "fa-user-times", "fa-users", "fa-utensil-spoon", "fa-utensils", "fa-venus", "fa-venus-double", "fa-venus-mars", "fa-video", "fa-volleyball-ball", "fa-volume-down", "fa-volume-off", "fa-volume-up", "fa-warehouse", "fa-weight", "fa-wheelchair", "fa-wifi", "fa-window-close", "fa-window-maximize", "fa-window-minimize", "fa-window-restore", "fa-won-sign", "fa-wrench", "fa-yen-sign"];
    var gotIcon = false,
        iconSet = "";

    jQuery.each(
        fab_array,
        function(i, val) {
            gotIcon = true;
            iconSet = iconSet + '<div class="as-element-icon" title="' + val + '"><i class="fab ' + val + '"></i><span style="display:none;">' + val + '</span></div>';
        }
    );
    jQuery.each(
        far_array,
        function(i, val) {
            gotIcon = true;
            iconSet = iconSet + '<div class="as-element-icon" title="' + val + '"><i class="far ' + val + '"></i><span style="display:none;">' + val + '</span></div>';
        }
    );
    jQuery.each(
        fas_array,
        function(i, val) {
            gotIcon = true;
            iconSet = iconSet + '<div class="as-element-icon" title="' + val + '"><i class="fas ' + val + '"></i><span style="display:none;">' + val + '</span></div>';
        }
    );

    if (gotIcon) {
        jQuery(element).find('.icon_div').html(iconSet);
    }
}

function esas_custom_share_icon_click() {
    jQuery(".icon_div .as-element-icon").on(
        'click',
        function(e) {
            var iconclass = jQuery(this).find('i').attr('class');
            var hide_div = jQuery('.hidden_input_val').val();
            window.top.jQuery('.' + hide_div).val(iconclass);
            jQuery('.ui-dialog-titlebar-close').trigger('click');
            jQuery('#pageflip').remove();
        }
    );
}

function esas_custom_share_icon() {
    jQuery("#icon_search").on(
        'keyup',
        function() {
            var matcher = new RegExp(jQuery(this).val(), 'gi');
            jQuery('.as-element-icon').show().not(
                function() {
                    return matcher.test(jQuery(this).find('span').text());
                }
            ).hide();
        }
    );

    jQuery(".ui-dialog-titlebar-close").on(
        'click',
        function(e) {
            e.preventDefault();
            jQuery('#pageflip').remove();
        }
    );
    jQuery('.share_icon_wrap').on(
        'click',
        function() {
            jQuery('.saspro-dialogbox').dialog("open");
            var hide = jQuery(this).attr('data-id');
            jQuery('.hidden_input_val').val(hide);
            esas_get_iconset('.saspro-dialogbox');
            jQuery('body').prepend("<div id='pageflip'> </div>");
            esas_custom_share_icon_click();
            return false;
        }
    );
}
jQuery(document).ready(function() {
    if (jQuery('input[name="asas_settings[asas_show_widget_box_shadow]"][value="0"]').prop("checked")) {
        jQuery('.asas_widget_box_shadow_color.asas_show_in_popup_only').hide();
    } else {
        jQuery('.asas_widget_box_shadow_color.asas_show_in_popup_only').show();
    }
});